/*
 * OPEN-XCHANGE legal information
 *
 * All intellectual property rights in the Software are protected by
 * international copyright laws.
 *
 *
 * In some countries OX, OX Open-Xchange and open xchange
 * as well as the corresponding Logos OX Open-Xchange and OX are registered
 * trademarks of the OX Software GmbH group of companies.
 * The use of the Logos is not covered by the Mozilla Public License 2.0 (MPL 2.0).
 * Instead, you are allowed to use these Logos according to the terms and
 * conditions of the Creative Commons License, Version 2.5, Attribution,
 * Non-commercial, ShareAlike, and the interpretation of the term
 * Non-commercial applicable to the aforementioned license is published
 * on the web site https://www.open-xchange.com/terms-and-conditions/.
 *
 * Please make sure that third-party modules and libraries are used
 * according to their respective licenses.
 *
 * Any modifications to this package must retain all copyright notices
 * of the original copyright holder(s) for the original code used.
 *
 * After any such modifications, the original and derivative code shall remain
 * under the copyright of the copyright holder(s) and/or original author(s) as stated here:
 * https://www.open-xchange.com/legal/. The contributing author shall be
 * given Attribution for the derivative code and a license granting use.
 *
 * Copyright (C) 2016-2020 OX Software GmbH
 * Mail: info@open-xchange.com
 *
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the Mozilla Public License 2.0
 * for more details.
 */

import 'dart:core';

// Global
const zero = 0.0;
const dividerHeight = 0.0;

// Progress
const verticalPaddingSmall = 8.0;
const verticalPadding = 16.0;

// List
const listItemPaddingBig = 16.0;
const listItemPadding = 8.0;
const listItemPaddingSmall = 4.0;
const listAvatarRadius = 24.0;
const listAvatarDiameter = listAvatarRadius * 2;
const listStateInfoHorizontalPadding = 24.0;
const listStateInfoVerticalPadding = 16.0;

// AppBar
const appBarAvatarTextPadding = 16.0;
const appBarElevationDefault = 4.0;

// Icons
const iconPadlockBottomPadding = 2.0;
const iconPadlockSize = 10.0;
const iconTextPadding = 4.0;
const iconFormPadding = 8.0;
const iconSize = 18.0;

// Chat
const composerHorizontalPadding = 8.0;
const composerTextFieldPadding = 8.0;
const composeTextBorderRadius = 24.0;

// Chat profile
const chatProfileDividerPadding = 8.0;
const chatProfileVerticalPadding = 16.0;
const chatProfileButtonPadding = 8.0;

//Attachment preview
const attachmentDividerPadding = 4.0;
const previewMaxSize = 100.0;
const previewDefaultIconSize = 100.0;
const previewCloseIconBorderRadius = 20.0;
const previewCloseIconSize = 30.0;
const previewFileNamePadding = 4.0;

// Forms
const formHorizontalPadding = 16.0;
const formVerticalPadding = 16.0;

// Messages
const messagesHorizontalPadding = 8.0;
const messagesVerticalPadding = 8.0;
const messagesVerticalInnerPadding = 11.0;
const messagesHorizontalInnerPadding = 16.0;
const messagesContentTimePadding = 8.0;
const messagesBoxRadius = 18.0;
const messagesBoxRadiusSmall = 2.0;
const messagesBlurRadius = 2.0;
const messagesFileIconSize = 30.0;
const messagesElevation = 4.0;

// Profile
const profileVerticalPadding = 8.0;
const profileSectionsVerticalPadding = 36.0;
const profileAvatarPlaceholderIconSize = 60.0;
const profileAvatarMaxRadius = 64.0;
const profileAvatarSize = 128.0;
const profileAvatarBorderRadius = 20.0;

const profileEditPhotoButtonRightPosition = 8.0;
const profileEditPhotoButtonBottomPosition = 24.0;

const editUserAvatarVerticalPadding = 24.0;
const editUserAvatarEditIconSize = 36.0;
const editUserAvatarImageMaxSize = 512;
const editUserAvatarRation = 1.0;

// Login
const loginLogoSize = 250.0;
const loginHorizontalPadding = 40.0;
const loginVerticalPadding = 28.0;
const loginTopPadding = 80.0;
const loginButtonWidth = 200.0;
const loginVerticalPadding8dp = 8.0;
const loginVerticalPadding12dp = 12.0;
const loginVerticalPadding20dp = 20.0;
const loginProviderIconSize = 40.0;
const loginManualSettingsSubTitlePadding = 8.0;
const loginManualSettingsPadding = 20.0;
const loginTermsAndConditionsHeightFactor = 5.0;
const loginProviderIconSizeBig = 150.0;
const loginErrorOverlayLeftPadding = 12.0;
const loginErrorOverlayIconSize = 24.0;
const loginErrorOverlayHeight = 40.0;
